Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.catedit
Interface Category

All Known Implementing Classes:
  CategorySupport

public interface Category

a category that has items associated with it

Author:
  av

Method Summary
`void` | `addItem(Item item)` adds an item to this category
`void` | `changeOrder(java.util.List items)` changes the order of the items
`java.lang.String` | `getIcon()` returns the image name to use for buttons
`java.util.List` | `getItems()` returns the items of this category.
`java.lang.String` | `getName()` returns the label
`boolean` | `isEmptyAllowed()` if true this category may be empty (has no items)
`boolean` | `isOrderSignificant()` if order is significant, move-up and move-down buttons are generated.
`void` | `removeItem(Item item)` removes an item of this category

Method Detail

### getIcon

    public java.lang.String getIcon()

  returns the image name to use for buttons

### getName

    public java.lang.String getName()

  returns the label

### getItems

    public java.util.List getItems()

  returns the items of this category. The items must implement the Item interface

  Returns:
    a read-only list of Item's

### addItem

    public void addItem(Item item)

  adds an item to this category

### removeItem

    public void removeItem(Item item)

  removes an item of this category

### changeOrder

    public void changeOrder(java.util.List items)

  changes the order of the items

### isOrderSignificant

    public boolean isOrderSignificant()

  if order is significant, move-up and move-down buttons are generated.

### isEmptyAllowed

    public boolean isEmptyAllowed()

  if true this category may be empty (has no items)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD